Page MenuHomePhabricator

[sanitizer] Pass -e dotbytes=10m to wget
ClosedPublic

Authored by rprichard on Feb 23 2021, 9:43 PM.

Details

Summary

When wget writes to a log file, it defaults to 1KiB per dot, which
produces ~20000 lines of log output for the NDK. This "-e dotbytes"
syntax has existed since 1999 in wget.

Diff Detail

Event Timeline

rprichard created this revision.Feb 23 2021, 9:43 PM
rprichard requested review of this revision.Feb 23 2021, 9:43 PM
vitalybuka accepted this revision.Feb 24 2021, 4:58 PM

This happens only once after clean build, so it did not annoy us, but I don't mind for even bigger value e.g. 10m

This revision is now accepted and ready to land.Feb 24 2021, 4:58 PM

This happens only once after clean build, so it did not annoy us, but I don't mind for even bigger value e.g. 10m

I suppose I'm OK with just 1m, unless you want it higher?

This happens only once after clean build, so it did not annoy us, but I don't mind for even bigger value e.g. 10m

I suppose I'm OK with just 1m, unless you want it higher?

up to you

This revision was automatically updated to reflect the committed changes.
rprichard retitled this revision from [sanitizer] Pass -e dotbytes=1m to wget to [sanitizer] Pass -e dotbytes=10m to wget.Feb 25 2021, 1:53 PM